#
# spec file for package python-social-auth-app-django
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-social-auth-app-django
Version:        3.1.0
Release:        lp151.3.1
Summary:        Python Social Authentication, Django integration
License:        BSD-3-Clause
Group:          Development/Languages/Python
URL:            https://github.com/python-social-auth/social-app-django
Source:         https://files.pythonhosted.org/packages/source/s/social-auth-app-django/social-auth-app-django-%{version}.tar.gz
Patch0:         https://github.com/python-social-auth/social-app-django/commit/f8d674d.patch#/pr_197.patch
BuildRequires:  %{python_module Django >= 1.11}
BuildRequires:  %{python_module mock}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module six}
BuildRequires:  %{python_module social-auth-core >= 1.2.0}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-Django >= 1.11
Requires:       python-six
Requires:       python-social-auth-core >= 1.2.0
BuildArch:      noarch
%python_subpackages

%description
This is the Django component of the python-social-auth ecosystem,
it implements the needed functionality to integrate social-auth-core
in a Django based project.

%prep
%setup -q -n social-auth-app-django-%{version}
%patch0 -p1

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
export LANG=en_US.UTF8
mkdir tests/templates
echo -n test > tests/templates/test.html
%python_exec manage.py test

%files %{python_files}
%doc CHANGELOG.md README.md
%license LICENSE
%{python_sitelib}/*

%changelog
* Wed Apr 24 2019 Tomáš Chvátal <tchvatal@suse.com>
- Export lang to fix build with older openSUSE releases
* Wed Apr 10 2019 John Vandenberg <jayvdb@gmail.com>
- Add pr_197.patch to fix bug with Django 2.2
* Fri Nov 30 2018 Matthias Fehring <buschmann23@opensuse.org>
- Update to version 3.1.0
  * Updated JSONField.from_db_value signature to support multiple
    Django versions by accepting just the needed parameters.
- Changes from version 3.0.0
  * Reduce log level of exceptions to INFO if messages app is installed
  * Encode association secret with encodebytes if available
  * Decode association secret for proper storage
  * Remove obsolete code from JSONField
  * Pass user as keyword argument to do_complete
  * Cleanup username when using email as username
  * Drop Python 3.3 support
  * Correct spelling errors
  * Correct version that renamed field.rel
  * Reduce error logs in SocialAuthExceptionMiddleware
* Wed Aug  1 2018 tchvatal@suse.com
- Build properly with python2
- Sort out with spec-cleaner to have unified look
* Wed Jul 25 2018 sean.marlow@suse.com
- Remove devel module dependency.
- Move license in spec.
* Thu Jan 25 2018 sean.marlow@suse.com
- Initial release. v2.1.0
